com.io7m.smfj.frontend

## Class SMFFilterCommandFile

- java.lang.Object
- - com.io7m.smfj.frontend.SMFFilterCommandFile

-     public final class SMFFilterCommandFile
      extends Object

  Convenient functions to parse sequences of filter commands from files.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static javaslang.control.Validation<javaslang.collection.List<SMFParseError>,javaslang.collection.List<SMFMemoryMeshFilterType>>` | `parseFromStream(SMFFilterCommandModuleResolverType resolver, Optional<URI> path_opt, InputStream stream)` Parse a command file.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### parseFromStream

          public static javaslang.control.Validation<javaslang.collection.List<SMFParseError>,javaslang.collection.List<SMFMemoryMeshFilterType>> parseFromStream(SMFFilterCommandModuleResolverType resolver,
                                                                                                                                                                  Optional<URI> path_opt,
                                                                                                                                                                  InputStream stream)
                                                                                                                                                           throws IOException

      Parse a command file.
      Parameters:
        `path_opt` - The path for error reporting
        `stream` - An input stream
        `resolver` - A filter command module resolver
      Returns:
        A sequence of filters, or a list of errors encountered during parsing
      Throws:
        `IOException` - On I/O errors

Copyright © 2017 <code@io7m.com> http://io7m.com